# [BETA] Create VPC

```http
POST /compute/v1/tenants/{tenantId}/vpc
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `CreateVPC`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `create:compute:vpcs`

Creates a new VPC for a tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

## Request body (required)

Create VPC request

Content type: `application/json`

- `cidr` (string)
- `name` (string)

Example request body:

```json
{
  "cidr": "string",
  "name": "string"
}
```

## Responses

### 201 — Created

Content type: `application/json`

- `id` (string)
- `jobId` (string)

### 400 — Bad Request

Content type: `application/json`

- `message` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)
